x11/luit - The NetBSD Packages Collection

Locale and ISO 2022 support for Unicode terminals

This package provides luit, a filter to convert the output of arbitrary
applications from a given locale's encoding into UTF-8 and terminal
input from UTF-8 into the given locale's encoding.

This is from the modular X.org X11 project.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/pkgconf

Runtime dependencies

(none)

Available binary packages

aarch64:luit-2.0.20190106.tgz(NetBSD 9.0)
aarch64:luit-2.0.20190106.tgz(NetBSD 9.0)
aarch64:luit-2.0.20190106.tgz(NetBSD 9.0)
alpha:luit-2.0.20190106.tgz(NetBSD 9.0)
alpha:luit-2.0.20190106.tgz(NetBSD 9.0)
alpha:luit-2.0.20190106.tgz(NetBSD 9.0)
earm:luit-2.0.20190106.tgz(NetBSD 9.0)
earm:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv6hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv6hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv6hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv6hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 8.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 8.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 8.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 8.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 9.0)
earmv7hf:luit-2.0.20190106.tgz(NetBSD 9.0)
i386:luit-2.0.20190106.tgz(NetBSD 8.0)
i386:luit-2.0.20190106.tgz(NetBSD 8.0)
i386:luit-2.0.20190106.tgz(NetBSD 8.0)
i386:luit-2.0.20190106.tgz(NetBSD 9.0)
i386:luit-2.0.20190106.tgz(NetBSD 9.0)
i386:luit-2.0.20190106.tgz(NetBSD 9.0)
m68k:luit-2.0.20190106.tgz(NetBSD 9.0)
m68k:luit-2.0.20190106.tgz(NetBSD 9.0)
mips64eb:luit-2.0.20190106.tgz(NetBSD 9.0)
mips64eb:luit-2.0.20190106.tgz(NetBSD 9.0)
mipsel:luit-2.0.20190106.tgz(NetBSD 9.0)
powerpc:luit-2.0.20190106.tgz(NetBSD 8.0)
powerpc:luit-2.0.20190106.tgz(NetBSD 8.0)
powerpc:luit-2.0.20190106.tgz(NetBSD 8.0)
powerpc:luit-2.0.20190106.tgz(NetBSD 9.0)
powerpc:luit-2.0.20190106.tgz(NetBSD 9.0)
powerpc:luit-2.0.20190106.tgz(NetBSD 9.0)
sh3el:luit-2.0.20190106.tgz(NetBSD 9.0)
sparc64:luit-2.0.20190106.tgz(NetBSD 9.0)
sparc64:luit-2.0.20190106.tgz(NetBSD 9.0)
sparc64:luit-2.0.20190106.tgz(NetBSD 9.0)
sparc:luit-2.0.20190106.tgz(NetBSD 9.0)
sparc:luit-2.0.20190106.tgz(NetBSD 9.0)
sparc:luit-2.0.20190106.tgz(NetBSD 9.0)
vax:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 8.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 8.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 8.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)
x86_64:luit-2.0.20190106.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]